
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Data
Imports System.Windows.Documents
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Imaging
Imports System.Windows.Shapes

Namespace LiveMediaManager
	''' <summary>
	''' Interaction logic for ProgramEditor.xaml
	''' </summary>
	Public Partial Class ProgramEditor
		Inherits Window
		Public Sub New()
			InitializeComponent()
		End Sub

		Private Sub Button_Click(sender As Object, e As RoutedEventArgs)
			Dim result As Short

			If Int16.TryParse(Me.txtDuration.Text, result) = False OrElse result < 1 Then
				MessageBox.Show("You must have a duration equal or greater than 5 minutes!")
			ElseIf Int16.TryParse(Me.txtDvrWindow.Text, result) = False OrElse result < 1 Then
				MessageBox.Show("You must have a dvr window equal or greater than 5 minutes!")
			ElseIf String.IsNullOrWhiteSpace(Me.txtName.Text) OrElse String.IsNullOrWhiteSpace(Me.txtDescription.Text) Then
				MessageBox.Show("You must have a name and a description!")
			Else
				Me.DialogResult = True
			End If
		End Sub
	End Class
End Namespace
