
' ----------------------------------------------------------------------
' <copyright file="VideoFormat.cs" company="Microsoft">
' Copyright © Microsoft Corporation.  All rights reserved.
' THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
' OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
' LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
' FITNESS FOR A PARTICULAR PURPOSE.
' </copyright>
'  <notes>
'                  \\|//
'                  (o o)
' --------------ooO-(_)-Ooo--------------------
'  Authors: Developer Product Evangelist Team (greg.prentice)
'  License: Apache License Version 2.0, January 2004
'                       Oooo
' --------------oooO----(  )-------------------
'               (  )    (_/
'                \_)
'  </notes>
' -----------------------------------------------------------------------

Namespace LiveMediaManager
	''' <summary>
	''' Defines the support output video formats.
	''' </summary>
	Public Enum VideoFormat
		''' <summary>
		''' Defines Microsofts Smooth Streaming.
		''' </summary>
		SmoothStreaming

		''' <summary>
		''' Defines Apples live streaming
		''' </summary>
		HttpLiveStreaming

		''' <summary>
		''' Defines DASH streming
		''' </summary>
		DynamicAdaptiveStreaming
	End Enum
End Namespace
